#ifndef _MSSQL_ATTRIBUTE_VAL_H_
#define _MSSQL_ATTRIBUTE_VAL_H_

#include <buildspec.h>
#include <Client/ClientUtils/Network/RDBAttribute.h>

namespace GST {
namespace ClientUtils {
/**
	* A value with a table description attached to it.
	*/
class GST_API_EXPORT  MSSQLAttributeVal :
	public AbstractRDBAttributeVal
{
public:
	MSSQLAttributeVal(): AbstractRDBAttributeVal(){};
	MSSQLAttributeVal(const TableAttributeDesc& desc, const boost::any& value);
	MSSQLAttributeVal(const TableAttributeDescPtr& desc, const boost::any& value);
	~MSSQLAttributeVal(void);

	///@name getters
	//@{
	virtual std::string getValueAsDML() const;
	//@}	
};

typedef boost::shared_ptr<MSSQLAttributeVal> MSSQLAttributeValPtr;

}// namespace ClientUtils
}// namespace GST


#endif  //_MSSQL_ATTRIBUTE_VAL_H_
